# Generate version information for kernel module
%define kname %(echo `uname -r`)
%define kver  %(echo %{kname} | sed -e 's/smp//' -e 's/bigmem//' -e 's/enterprise//')
%define ktype %(echo kernel-%{kname}|sed -e 's/%{kver}//' -e 's/-$//')
%define krel  %(echo %{kname} | sed -e 's/-/_/g')
# $Id: $
# Authority: olea

# Dist: nodist

Summary: Driver for Intel PRO/Wireless 2200 network adaptors
Name: acerhk
Version: 0.5.26
Release: olea1_%{krel}
License: GPL
Group: System Environment/Kernel
URL: http://www.informatik.hu-berlin.de/~tauber/acerhk/
Source0: http://www.informatik.hu-berlin.de/~tauber/acerhk/archives/%{name}-%{version}.tgz
BuildRequires: kernel-devel = %{kver}, gcc, /usr/bin/install

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: i386

%description
This package contains the driver for managing special buttons and wireless
antenna on Acer and compatible laptops.


%prep
%setup 


%build
make

%install
%{__rm} -rf %{buildroot}

install -D -m 644 acerhk.ko  %{buildroot}/lib/modules/%{kname}/kernel/drivers/char/acerhk.ko

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/depmod -A

%preun 
modprobe -r acerhk
/sbin/depmod -A


%files
%defattr(-, root, root, 0755)
%doc AUTHORS  COPYING  doc/  INSTALL  NEWS  README
%defattr(-, root, root, 0644)
/lib/modules/%{kname}/kernel/drivers/char/acerhk.ko

%changelog

* Wed Jul 26 2005 Ismael Olea <ismael@olea.org>
- Changin dep from kernel-source to kernel-devel

* Tue Nov 02 2004 Ismael Olea <ismael@olea.org>
- First version.


